
QGIS Application - Bug report #6809

Master handles "No Stretch" rasters differently to 1.8

2012-12-03 01:15 AM - ramon .

Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:master Regression?: No

Operating System: win, mac Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 15954

Description

Some rasters will display in 1.8 well without enhancement and have been left as "No Stretch". If these are saved in a project and that

project is opened in master this raster will display as a grey box.

    -  If the image has a stretch is applied it displays better.

    -  If the image is removed and reopened, it displays properly without any stretching.

    -  Image saved in 1.9 with No Enhancement, will load in 1.9 correctly.

I suppose not a serious bug, but will be a major inconvenince when 2.0 is released, and require adjusting many images in many projects.

(Hence I've set as high).

Is it possible to have 1.9 adjust the project file (set a stretch) or in some way flag affected files while opening previous version projects?

History

#1 - 2012-12-03 12:52 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to wontfix

qgis master is supposed to break the compability with projects made with precious qgis releases, so it is no bug.

reopen if necessary (for example if I have misunderstood the issue).

#2 - 2012-12-04 01:02 AM - ramon .

Ok. Fair (and expected) comments.

I've not been using QGIS long enough to have seen a major break happen.

I put it in because I think this is an example of something the QGIS community is going to get asked about a lot when 2.0 comes out.

Is it possible to write a small script to adjust a 1.8 project file so that 1.9/2.0 will understand it properly?

If so, is this something worth doing?

#3 - 2012-12-04 01:42 AM - Jürgen Fischer

- Status changed from Closed to Reopened

- Resolution deleted (wontfix)

- Priority changed from High to Normal
Giovanni Manghi wrote:

qgis master is supposed to break the compability with projects made with precious qgis releases, so it is no bug.

It is?   New projects might not load in old versions, but the other way around should work.  We have a transformation class for that, which automatically

should transform an old project into the new format.

There are already some raster specific transformations made for 1.8 to 1.9 there.  So this bug is just not covered and this is not by design.

Still it might be not be worth the effort/feasible for us - given the all the raster enhancements and changes - to cover the transformation in depth.  So I

suppose this should be left open for a raster savvy to comment...

#4 - 2016-01-20 12:17 AM - Nyall Dawson

- Resolution set to wontfix

- Status changed from Reopened to Closed

Closing as wontfix due to age of 1.8/1.9 versions

Files

Test.tif 33.9 KB 2012-12-03 ramon .

Test.qgs 6.19 KB 2012-12-03 ramon .

Test1-9.qgs 4.57 KB 2012-12-03 ramon .

Test1-8.png 187 KB 2012-12-03 ramon .

Test1-9.png 175 KB 2012-12-03 ramon .
http://qgis.org/api/classQgsProjectFileTransform.html

